<?php
/*
 * Created on 25.02.2012
 * Oliver Soop(osoop1@ut.ee)
 */
 
 class UrlParseUtil {
 	
 	/**
 	 * Funktsioon, mis tagastab etteantud URL-i domeeni
 	 */
 	public static function getDomain($url) {
 		return parse_url($url, PHP_URL_HOST);
 	}
 	
 	/**
 	 * Funktsioon, mis võrdleb kahe URL-i domeeni
 	 */
 	public static function compareDomains($url1, $url2) {
 		$dom1 = parse_url($url1, PHP_URL_HOST);
 		$dom2 = parse_url($url2, PHP_URL_HOST);
 		return strcasecmp($dom1, $dom2) == 0;
 	}
 }
?>
